# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1193+1.1069.320.37 -> 1.1194 
#	include/acpi/acglobal.h	1.22.1.5 -> 1.31   
#	drivers/acpi/resources/rsaddr.c	1.12.1.3 -> 1.17   
#	  drivers/acpi/osl.c	1.26.1.4 -> 1.35   
#	include/acpi/acutils.h	1.22.1.5 -> 1.31   
#	drivers/acpi/hardware/hwgpe.c	1.17.1.3 -> 1.23   
#	drivers/acpi/utilities/utmisc.c	1.24.1.2 -> 1.28   
#	drivers/acpi/hardware/hwsleep.c	1.22.1.4 -> 1.29   
#	drivers/acpi/executer/exdump.c	1.15.1.4 -> 1.20   
#	drivers/acpi/executer/exstoren.c	1.14.1.4 -> 1.21   
#	drivers/acpi/utilities/utglobal.c	1.20.1.8 -> 1.32   
#	include/acpi/acconfig.h	1.35.1.11 -> 1.52   
#	drivers/acpi/executer/exresnte.c	1.16.1.3 -> 1.21   
#	drivers/acpi/events/evxfevnt.c	1.17.1.2 -> 1.21   
#	arch/i386/kernel/io_apic.c	1.27.1.7 -> 1.37   
#	drivers/acpi/dispatcher/dsmthdat.c	1.18.1.7 -> 1.27   
#	drivers/acpi/namespace/nseval.c	1.15.1.4 -> 1.23   
#	include/linux/pci_ids.h	1.44.1.44 -> 1.83   
#	 include/linux/pci.h	1.34.1.2 -> 1.38   
#	arch/i386/kernel/setup.c	1.68.1.16 -> 1.90   
#	arch/ia64/kernel/acpi.c	1.6.3.19 -> 1.38   
#	drivers/acpi/namespace/nsutils.c	1.21.1.5 -> 1.30   
#	  drivers/acpi/bus.c	1.18.1.6 -> 1.24   
#	drivers/acpi/events/evmisc.c	1.20.1.3 -> 1.25   
#	include/acpi/actypes.h	1.27.1.5 -> 1.36   
#	include/acpi/achware.h	1.15.1.2 -> 1.19   
#	arch/ia64/ia32/sys_ia32.c	1.9.4.2 -> 1.30   
#	include/acpi/aclocal.h	1.26.1.2 -> 1.30   
#	            Makefile	1.190.7.18 -> 1.268  
#	drivers/acpi/namespace/nsdump.c	1.16.1.4 -> 1.23   
#	Documentation/Configure.help	1.162.1.77 -> 1.214  
#	drivers/acpi/executer/excreate.c	1.14.1.4 -> 1.22   
#	drivers/acpi/namespace/nsaccess.c	1.18.1.5 -> 1.27   
#	drivers/acpi/namespace/nssearch.c	1.16.1.4 -> 1.23   
#	          fs/inode.c	1.36.1.16 -> 1.53   
#
diff -Nru a/Documentation/Configure.help b/Documentation/Configure.help
--- a/Documentation/Configure.help	Mon Apr  5 10:18:02 2004
+++ b/Documentation/Configure.help	Mon Apr  5 10:18:02 2004
@@ -18620,6 +18620,11 @@
   purpose port, say Y here. See
   <http://www.dig64.org/specifications/DIG64_HCDPv10a_01.pdf>.
 
+Support for serial ports defined in ACPI namespace
+CONFIG_SERIAL_ACPI
+  If you wish to enable serial port discovery via the ACPI
+  namespace, say Y here.  If unsure, say N.
+
 Support for PowerMac serial ports
 CONFIG_MAC_SERIAL
   If you have Macintosh style serial ports (8 pin mini-DIN), say Y
diff -Nru a/Makefile b/Makefile
--- a/Makefile	Mon Apr  5 10:18:02 2004
+++ b/Makefile	Mon Apr  5 10:18:02 2004
@@ -93,6 +93,7 @@
 
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
 	  -fno-strict-aliasing -fno-common
+CFLAGS += -g
 ifndef CONFIG_FRAME_POINTER
 CFLAGS += -fomit-frame-pointer
 endif
@@ -307,8 +308,7 @@
 	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in
 
 xconfig: symlinks
-	$(MAKE) -C scripts kconfig.tk
-	wish -f scripts/kconfig.tk
+	@echo -e "***\n* Sorry, xconfig is broken; use \"make menuconfig\" instead.\n***"
 
 menuconfig: include/linux/version.h symlinks
 	$(MAKE) -C scripts/lxdialog all
diff -Nru a/drivers/acpi/bus.c b/drivers/acpi/bus.c
--- a/drivers/acpi/bus.c	Mon Apr  5 10:18:02 2004
+++ b/drivers/acpi/bus.c	Mon Apr  5 10:18:02 2004
@@ -1405,16 +1405,14 @@
 	switch (type) {
 	case ACPI_BUS_TYPE_DEVICE:
 		result = acpi_bus_get_status(device);
-		if (result)
-			goto end;
-		break;
+		if (!result)
+			break;
+		if (!device->status.present)
+			result = -ENOENT;
+		goto end;
 	default:
 		STRUCT_TO_INT(device->status) = 0x0F;
 		break;
-	}
-	if (!device->status.present) {
-		result = -ENOENT;
-		goto end;
 	}
 
 	/*
diff -Nru a/fs/inode.c b/fs/inode.c
--- a/fs/inode.c	Mon Apr  5 10:18:02 2004
+++ b/fs/inode.c	Mon Apr  5 10:18:02 2004
@@ -57,7 +57,7 @@
  */
 
 static LIST_HEAD(inode_in_use);
-static LIST_HEAD(inode_unused);
+LIST_HEAD(inode_unused);
 static LIST_HEAD(inode_unused_pagecache);
 static struct list_head *inode_hashtable;
 static LIST_HEAD(anon_hash_chain); /* for inodes with NULL i_sb */
